SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003005: Upgrade EFW2.2 ->2.4 breaks GUI - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003005Endian FirewallGUIpublic2010-06-14 16:382010-11-22 12:08
Reporterbaldy 
Assigned Tobaldy 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4 
Target VersionFixed in Version2.4.1 
Summary0003005: Upgrade EFW2.2 ->2.4 breaks GUI
DescriptionAfter upgrade the GUI is broken in the Firewall section.

Rules cannot be applied without a reboot.
Screen is shown with both Orange (rules have been applied) and Green (with Apply button)

So far this has happened on 2 systems I have upgraded from 2.2 to 2.4
Additional InformationScreenshot has been added with the issue.

Happens with IE8, Google Chrome and Firefox, so it is not a browser related issue.
TagsNo tags attached.
Attached Filesjpg file icon GUI damaged.jpg [^] (167,367 bytes) 2010-06-14 16:38

- Relationships
has duplicate 0003057closed Port forwarding / Destination NAT rules do not get applied 

-  Notes
(0004658)
dmitri22 (reporter)
2010-07-30 16:14

The same problem after upgrade (efw-upgrade) from 2.2 to 2.4.0
(0004772)
wowitsben (reporter)
2010-09-20 17:55

Same here, I upgraded from 2.2 to 2.4 and have to do a reboot after changing NAT rules before any changes take effect.
(0004896)
ben-endian (reporter)
2010-09-30 14:46

It's a permissions issue with the web gui in running the restart/set scripts. Please check your /etc/sudoers file and check the permissions on the setdnat.py.

This is what it *should* look like:

nobody ALL=NOPASSWD: /usr/local/bin/setdnat.py
(0004900)
baldy (reporter)
2010-09-30 19:05

Thanks Bucho,

Changing sudoers did fix the issue.

Permissions on setdnat.py were assigned to openvpn instead of nobody.

Regards,

Klaas-Jan

- Issue History
Date Modified Username Field Change
2010-06-14 16:38 baldy New Issue
2010-06-14 16:38 baldy File Added: GUI damaged.jpg
2010-07-12 08:40 luca-endian Relationship added has duplicate 0003057
2010-07-30 16:14 dmitri22 Note Added: 0004658
2010-09-20 16:51 peter-endian Status new => acknowledged
2010-09-20 17:55 wowitsben Note Added: 0004772
2010-09-30 14:46 ben-endian Note Added: 0004896
2010-09-30 19:05 baldy Note Added: 0004900
2010-09-30 20:33 baldy Status acknowledged => resolved
2010-09-30 20:33 baldy Resolution open => fixed
2010-09-30 20:33 baldy Assigned To => baldy
2010-11-22 12:08 peter-endian Fixed in Version => 2.4.1
2010-11-22 12:08 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker